Library Version 12.1.6.2

operator+
Prev | Chapter 20. Db_reverse_iterator | Next

## operator+

### Function Details

    self operator+(difference_type n) const

Iterator shuffle operator.

Return a new iterator by moving this iterator forward by n elements.

#### Parameters

##### n

The amount and direction of movement. If negative, will move towards reverse direction.

#### Return Value

A new iterator at new position.

### Group: Operators for random reverse iterators

Methods below only applies to random iterators.

/////

Return a new iterator by moving this iterator backward or forward by n elements.

### Class

db_reverse_iterator

Prev | Up | Next
operator-- | Home | operator-